/* Generated from Gabble-specific extensions to the Telepathy interfaces

Copyright (C) 2007 Collabora Limited

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA


 */

#ifdef __cplusplus
extern "C" {
#endif

/**
 *
GabbleDebugLevel:
 * @GABBLE_DEBUG_LEVEL_ERROR: <![CDATA[           Log level for errors. Error messages are always fatal, resulting           in the service terminating after something completely           unexpected occurred.         ]]>
 * @GABBLE_DEBUG_LEVEL_CRITICAL: <![CDATA[           Log level for critical messages. Critical messages are messages           that the service might predict and it is up to the service itself           to decide whether to terminate following a critical message.         ]]>
 * @GABBLE_DEBUG_LEVEL_WARNING: <![CDATA[           Log level for warnings.         ]]>
 * @GABBLE_DEBUG_LEVEL_MESSAGE: <![CDATA[           Log level for messages.         ]]>
 * @GABBLE_DEBUG_LEVEL_INFO: <![CDATA[           Log level for information messages.         ]]>
 * @GABBLE_DEBUG_LEVEL_DEBUG: <![CDATA[           Log level for debug messages.         ]]>
 *
 * Bitfield/set of flags generated from the Telepathy specification.
 */
typedef enum {
    GABBLE_DEBUG_LEVEL_ERROR = 0,
    GABBLE_DEBUG_LEVEL_CRITICAL = 1,
    GABBLE_DEBUG_LEVEL_WARNING = 2,
    GABBLE_DEBUG_LEVEL_MESSAGE = 3,
    GABBLE_DEBUG_LEVEL_INFO = 4,
    GABBLE_DEBUG_LEVEL_DEBUG = 5,
} GabbleDebugLevel;

/**
 * NUM_GABBLE_DEBUG_LEVELS:
 *
 * 1 higher than the highest valid value of #GabbleDebugLevel.
 */
#define NUM_GABBLE_DEBUG_LEVELS (5+1)


#ifdef __cplusplus
}
#endif
